// JavaScript Document

function shrink_video_player(){
  $('#video-player').attr('width', 640);
  $('#video-player').attr('height', 400);
  $('.cols2 .content').css('width', 641);
  $('.cols2 .secondary').css('display', 'block');
}
if (document.getElementById("thumb")) {
setTimeout(function(){ bum(); }, 1);
function bum(){
	var ele = document.getElementById("thumb");
	var ww = ele.offsetWidth;
	var hh = ele.offsetHeight;
	if(ww>hh){ $(ele).css({ 'width':'70' }); }
	else{}
}
}
$(document).ready(function(){
		


		
		/*$("#mycarousel li img").load(function(){
				var ww = this.offsetWidth;
				var hh = this.offsetHeight;
				if(ww>hh){ $(this).css({ 'width':'70' }); }
				else{}
		});*/
						   
		/*$("ul.jarusel_rez li").mouseover(function(){
			$(this).css({ 'background':'url(/images/gall_thumb_act.jpg) no-repeat left top' });
		});
		$("ul.jarusel_rez li").mouseout(function(){
			$(this).css({ 'background':'url(/images/gall_thumb.jpg) no-repeat left top' });
		});*/
		/*$("ul.jarusel_rez li").click(function(){
			$(this).css({ 'background':'url(/images/gall_thumb_act.jpg) no-repeat left top' });
		});*/
						
	
		if ($('.gallery_demo_unstyled').size()!=0) 
		{
		    $('.gallery_demo_unstyled').addClass('gallery_demo'); // adds new class name to maintain degradability
					
			$('ul.gallery_demo').galleria({
			history   : true, // activates the history object for bookmarking, back-button etc.
			clickNext : true, // helper for making the image clickable
			insert    : '#main_image', // the containing selector for our main image
			onImage   : function(image,caption,thumb) { // let's add some image effects for demonstration purposes
				
				// fade in the image & caption
				image.css('display','none').fadeIn(1000);
				caption.css('display','none').fadeIn(1000);
				
				// fetch the thumbnail container
				var _li = thumb.parents('li');
				
				// fade out inactive thumbnail
				_li.siblings().children('img.selected').fadeTo(500,0.6);
				
				// fade in active thumbnail
				thumb.fadeTo('fast',1).addClass('selected');
				
				// add a title for the clickable image
				image.attr('title','Next image >>');
				
			},
			onThumb : function(thumb) { // thumbnail effects goes here
				
				// fetch the thumbnail container
				var _li = thumb.parents('li');
				
				// if thumbnail is active, fade all the way.
				var _fadeTo = _li.is('.active') ? '1' : '0.6';
				
				// fade in the thumbnail when finnished loading
				thumb.css({display:'none',opacity:_fadeTo}).fadeIn(1500);

				// hover effects
				thumb.hover(
					function() { thumb.fadeTo('fast',1); },
					function() { _li.not('.active').children('img').fadeTo('fast',0.6); } // don't fade out if the parent is active
				)
			}
		});
	 }
	
});



function op_photo_title(id){
	$('.title_photo').hide();
	$('#photoname'+id).show();	
	//$('.title_photo_h').hide();
	$('#photo_tit_'+id).show();
	
	/*var index = $('.active').attr('jcarouselindex');
	if(index >= 6){ alert("yes");}
	else{ alert("no");}*/
}

function photo_on(id){
	$("#menu_photo_"+id).show();	
}
function photo_out(id){
	$("#menu_photo_"+id).hide();	
}